### File

`packages/ecl/components/ecl-site-header/custom-action/ecl-site-header-custom-action.directive.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

Selector | `a[eclSiteHeaderCustomActionLink]`

### Index

###### Properties
ariaControls className eclIconComponent isOverlayExpanded
###### Methods
hasLink onClick getCssClasses
###### Inputs
href routerLink class e2eAttr tabindex
###### Outputs
customActionOverlayToggle
###### HostBindings
attr.aria-controls attr.aria-expanded class
###### HostListeners
click

### Inputs

href
Type : `string`

routerLink
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### Outputs

customActionOverlayToggle
Type : `EventEmitter`

### HostBindings

attr.aria-controls
Type : `string`

attr.aria-expanded
Type : `boolean`

class
Type : `string`
Default value : `'ecl-site-header__custom-action-toggle ecl-button ecl-button--tertiary ecl-button--neutral ecl-button--icon-only'`

### HostListeners

click
Arguments : `'$event'`

### Methods

hasLink
`hasLink()`
Returns : `boolean`

onClick
`onClick(evt: Event)`
Decorators : `@HostListener('click', ['$event'])`
Parameters :
Name | Type | Optional
evt | `Event` | No
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

ariaControls
Type : `string`
Decorators : `@HostBinding('attr.aria-controls')`

className
Type : `string`
Default value : `'ecl-site-header__custom-action-toggle ecl-button ecl-button--tertiary ecl-button--neutral ecl-button--icon-only'`
Decorators : `@HostBinding('class')`

eclIconComponent
Type : `unknown`
Default value : `contentChild<EclIconComponent>(forwardRef(() => EclIconComponent), { descendants: true })`

isOverlayExpanded
Type : `boolean`
Decorators : `@HostBinding('attr.aria-expanded')`

# results matching ""

# No results matching ""